Min Sik Kim | 1 Oct 03:44 2005
Picon

Re: Update of py-wxWidgets

On Sep 29, 2005, at 9:33 PM, Joerg Sonnenberger wrote:

> On Thu, Sep 29, 2005 at 09:18:45PM -0700, Min Sik Kim wrote:
>
>> On Sep 29, 2005, at 8:38 PM, Joerg Sonnenberger wrote:
>>
>>
>>> OK, from the three package in the tree using py-wxWidgets, only one
>>> works. That's Bittornade. devel/ExmanIDE just exists on startup,
>>> devel/boaconstructor doesn't like the API changes. Both projects  
>>> seem
>>> to be dead and haven't worked for quite a while. Can we remove them
>>> and include the upgrade?
>>>
>>>
>>
>> I don't think the ExmanIDE project is dead.  According to its Korean
>> homepage (http://exman.pe.kr/ExmanIDE/?lang=ko), the author seems to
>> be planning to release a new version.
>>
>
> Sorry, I can't read Korean. The fact that the last release is 2 years
> old and the last change in the CVS repository 8 month created that
> impression. In any case, would you mind if this package is marked as
> broken for now? The alternative would be readding wxGTK-2.4.

I am trying to test ExmanIDE with py-wxWidgets-2.6.1, but the package  
provided by Berndt doesn't build on my NetBSD 3.0_BETA.  There seem  
to be some place where LDFLAGS is not expanded.  See the error  
message below.
(Continue reading)

Min Sik Kim | 1 Oct 04:02 2005

Re: Update of py-wxWidgets

On Sep 30, 2005, at 6:44 PM, Min Sik Kim wrote:
>
> I am trying to test ExmanIDE with py-wxWidgets-2.6.1, but the  
> package provided by Berndt doesn't build on my NetBSD 3.0_BETA.   
> There seem to be some place where LDFLAGS is not expanded.

I found that this had been fixed in python24-2.4.1nb3.  Maybe we  
should bump required Python version in python24/buildlink3.mk?

Regards,
Min Sik Kim

Hisashi T Fujinaka | 1 Oct 06:48 2005

did pkg_chk break for anyone else?

I used to do a 'pkg_chk -B' but now it won't let me do that any more.
It tells me that I can do it in the error message that gets generated,
too.

--

-- 
Hisashi T Fujinaka - htodd <at> twofifty.com
BSEE(6/86) + BSChem(3/95) + BAEnglish(8/95) + MSCS(8/03) + $2.50 = latte

Min Sik Kim | 1 Oct 07:06 2005
Picon

Re: Update of py-wxWidgets

On Sep 29, 2005, at 9:33 PM, Joerg Sonnenberger wrote:

> On Thu, Sep 29, 2005 at 09:18:45PM -0700, Min Sik Kim wrote:
>>
>> I don't think the ExmanIDE project is dead.  According to its Korean
>> homepage (http://exman.pe.kr/ExmanIDE/?lang=ko), the author seems to
>> be planning to release a new version.
>>
>
> Sorry, I can't read Korean. The fact that the last release is 2 years
> old and the last change in the CVS repository 8 month created that
> impression. In any case, would you mind if this package is marked as
> broken for now? The alternative would be readding wxGTK-2.4.

ExmanIDE didn't run because Berndt's py-wxWidgets disabled some  
modules that should be built by default.  I modified Makefile and  
PLIST to build all default modules except the "animate" module, which  
cannot be built since x11/wxGTK-contrib was patched not to build the  
animate library.

The updated package is available at:

     http://www.NetBSD.org/~minskim/pkgsrc/py-wxWidgets.tar.gz

ExmanIDE needs the following patch to build with py-wxWidgets>=2.6.

     http://www.NetBSD.org/~minskim/pkgsrc/patches/ExmanIDE.diff

Regards,
Min Sik Kim
(Continue reading)

Hisashi T Fujinaka | 1 Oct 07:15 2005

Re: did pkg_chk break for anyone else?

On Fri, 30 Sep 2005, Min Sik Kim wrote:

> On Sep 30, 2005, at 9:48 PM, Hisashi T Fujinaka wrote:
>
>> I used to do a 'pkg_chk -B' but now it won't let me do that any more.
>
> Try 'pkg_chk -Bi'.
>
> ----------------------------
> revision 1.20
> date: 2005/09/27 17:13:03;  author: abs;  state: Exp;  lines: +2 -2
> Update pkg_chk to 1.62:
>    + Implement defining tag groups in pkgchk.conf. For example
>      "mailserver = tll gta tycoon jeeves iris"
>    + If the first tag on a line starts with a '-', there is now an
>      implicit '*' before it
>    + -B no longer implies -i
> ----------------------------

I missed that. Thanks!

--

-- 
Hisashi T Fujinaka - htodd <at> twofifty.com
BSEE(6/86) + BSChem(3/95) + BAEnglish(8/95) + MSCS(8/03) + $2.50 = latte

Min Sik Kim | 1 Oct 07:14 2005
Picon

Re: did pkg_chk break for anyone else?

On Sep 30, 2005, at 9:48 PM, Hisashi T Fujinaka wrote:

> I used to do a 'pkg_chk -B' but now it won't let me do that any more.

Try 'pkg_chk -Bi'.

----------------------------
revision 1.20
date: 2005/09/27 17:13:03;  author: abs;  state: Exp;  lines: +2 -2
Update pkg_chk to 1.62:
     + Implement defining tag groups in pkgchk.conf. For example
       "mailserver = tll gta tycoon jeeves iris"
     + If the first tag on a line starts with a '-', there is now an
       implicit '*' before it
     + -B no longer implies -i
----------------------------

Regards,
Min Sik Kim

Tom Spindler | 1 Oct 08:54 2005

SDL and lack of mk/x11.buildlink3.mk

Currently, devel/SDL/Makefile.common doesn't include mk/x11.buildlink.mk,
but instead relies upon aalib-x11 (!?) to include it by proxy; this
seems less than optimal, especially if SDL were to be moved to the
options framework and aalib-x11 were to be disabled.

Is there some reason (perhaps for the Cocoa/Darwin) case that the x11
buildlink file ought not to be included?

Michael Rauch | 1 Oct 09:03 2005
Picon

openoffice build fixed

Hi, 

I've just committed a fix for the compilation problem in openoffice
(patch-av rev 1.4).  

Michael

Alistair Crooks | 1 Oct 10:30 2005

Re: openoffice build fixed

On Sat, Oct 01, 2005 at 09:03:28AM +0200, Michael Rauch wrote:
> Hi, 
> 
> I've just committed a fix for the compilation problem in openoffice
> (patch-av rev 1.4).  

Thanks, Michael, much appreciated.

Alistair

Havard Eidnes | 1 Oct 10:47 2005
Picon

Re: Bulk builds of pkgsrc-2005Q3 branch?

> Is nobody else running a chrooted bulk build of pkgsrc-2005Q3 ATM?

I am too -- in addition to what's been mentioned so far sparc64
2.0.2, and no problems so far -- at 28% at the moment.

Regards,

- Håvard


Gmane